Bug 159968 - [PATCH] x11-wm/hs-xmonad-contrib fix
Summary: [PATCH] x11-wm/hs-xmonad-contrib fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-21 12:40 UTC by Aldis Berjoza
Modified: 2011-09-07 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.42 KB, patch)
2011-08-21 12:40 UTC, Aldis Berjoza
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2011-08-21 12:40:11 UTC
Some xmonad modules in x11-wm/hs-xmonad-contrib require bash to run.
One of them needs to be patched to use bash instead of /bin/bash

I attached patch to fix this problem.

Because of this XMonad.Prompt.Directory was driving me nuts for months, until I finally checked the source.

I will also submit this patch upstream.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-21 12:40:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ashish SHUKLA freebsd_committer 2011-09-07 20:16:06 UTC
Hi,

While I'm committing the diff, could you please submit the diff upstream, if
not submitted already?

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
Comment 3 dfilter service freebsd_committer 2011-09-07 20:24:10 UTC
ashish      2011-09-07 19:24:01 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/hs-xmonad-contrib Makefile 
  Added files:
    x11-wm/hs-xmonad-contrib/files 
                                   patch-XMonad__Prompt__Directory.hs 
  Log:
  - Add runtime dependency on shells/bash
  - Fix path to bash in one of the modules
  
  PR:             ports/159968
  Submitted by:   Aldis Berjoza <aldis@bsdroot.lv>
  
  Revision  Changes    Path
  1.22      +3 -1      ports/x11-wm/hs-xmonad-contrib/Makefile
  1.1       +11 -0     ports/x11-wm/hs-xmonad-contrib/files/patch-XMonad__Prompt__Directory.hs (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ashish SHUKLA freebsd_committer 2011-09-07 20:24:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 Aldis Berjoza 2011-09-07 20:38:31 UTC
On Thu, 08 Sep 2011 00:46:06 +0530
ashish@FreeBSD.org (Ashish SHUKLA) wrote:

> Hi,
> 
> While I'm committing the diff, could you please submit the diff
> upstream, if not submitted already?
> 
> Thanks


Hello!
I did submit it upstream:
http://code.google.com/p/xmonad/issues/detail?id=472&start=100

-- 
Aldis Berjoza
  http://www.bsdroot.lv/